<?php
require_once ("VLSIuser.php");
$jmsess="ulozADDPUB";
session_start();

function smazat_soub($lol,$cesticka){
if (file_exists($cesticka.$lol)){
  unlink($cesticka.$lol);
}
}


// je odeslano????
if (!isset($_POST['odeslane'])){unseting($jmsess);header ("Location: edit.php?stav=3");exit;}
if ($_POST['odeslane']!="Odeslat"){unseting($jmsess);header ("Location: edit.php?stav=3");exit;}

if (!isset($_POST['rok'])){unseting($jmsess);header ("Location: edit.php?stav=3");exit;}
$rok=$_POST['rok'];
if (is_numeric($rok) ){
//pretypovani na int, kdyby cislo bylo jineho tvaru
    $rok=(int)$rok;
}else{unseting($jmsess);header ("Location: edit.php?stav=3");exit;}


if (isset($_POST['autori'])){$autori=trim($_POST['autori']);}else {$autori="";}
if (isset($_POST['popis'])){$popis=trim($_POST['popis']);}else {$popis="";}

//prisli pripustne hodnoty.... kontrola delek pro db
$is_chyba=false;
if($slashes==1){
$chyba.="rok=$rok&autori=".stripslashes($autori)."&popis=".stripslashes($popis);}
else{$chyba.="rok=$rok&autori=$autori&popis=$popis";}

if (strlen($autori)==0){$is_chyba=true;$chyba.="&autorichyba=true";}
if (strlen($popis)==0){$is_chyba=true;$chyba.="&popischyba=true";}
if (strlen($autori)>320){$is_chyba=true;$chyba.="&autdelchyba=true";}
$year=(int)date("Y");
if ($rok<($year-20) || $rok>$year) {$is_chyba=true;$chyba.="&rokchyba=true";}

if ($is_chyba){header ("Location: addpub.php?".SID."&$chyba");exit;}

// pokud nenastala chyba, jde to do db
if ($slashes==0){
$autori=addslashes($autori);
$popis=addslashes($popis);
}

if (isset($_FILES["soubor1"]["name"])){$soubor_name1=$_FILES["soubor1"]["name"];}
if(isset($_FILES["soubor1"]["tmp_name"])){$soubor1=$_FILES["soubor1"]["tmp_name"];}
if(isset($_FILES["soubor1"]["size"])){$soubor_size1=$_FILES["soubor1"]["size"];}

if(isset($_FILES["soubor2"]["name"])){$soubor_name2=$_FILES["soubor2"]["name"];}
if(isset($_FILES["soubor2"]["tmp_name"])){$soubor2=$_FILES["soubor2"]["tmp_name"];}
if(isset($_FILES["soubor2"]["size"])){$soubor_size2=$_FILES["soubor2"]["size"];}

$prvni=false;
$druhy=false;

//kontrola zda nazvy souboru neobsahuji nepovolene znaky
$kontrola='([[:space:]]|[[:punct:]]|[[:cntrl:]])+';
$lastind1=strrpos($soubor_name1,".");
$name1=substr($soubor_name1,0,$lastind1); // odseknuti pripony
$lastind2=strrpos($soubor_name2,"."); 
$name2=substr($soubor_name2,0,$lastind2); // odseknuti pripony

if(ereg($kontrola,$name1)) {header ("Location: addpub.php?stav=6&".SID."&$chyba");exit;}
if(ereg($kontrola,$name2)) {header ("Location: addpub.php?stav=6&".SID."&$chyba");exit;}


///// **********manipulace s prvnim souborem
if (strlen($soubor_name1)==0){$prvni=false;}  //neni nahran soubor
else{


  $prvni=true;   //je nahran soubor
    if(is_uploaded_file($soubor1)) {
$soubor_name1=str_replace(" ","",$soubor_name1);
if(file_exists(soubory_pubs.$soubor_name1))  //pokud uz existuje soubor se stejnym
      { $hledej=1;                          //jmenem,zacnem pridavat na konec jmena
        $konc=strrchr($soubor_name1,".");  // indexi [hledej], dokud nenaleznem index
        $lastind=strrpos($soubor_name1,"."); //pro ktery jeste neexistuje soubor
        $name=substr($soubor_name1,0,$lastind); // a presunem soubor do slozky
        $jm=$name.$hledej;                   //pod timto jmenem
        while(file_exists(soubory_pubs.$jm.$konc)){
          $hledej++;
          $jm=$name.$hledej;
        }
       $soubor_name1=$jm.$konc;
       move_uploaded_file ($soubor1,soubory_pubs.$soubor_name1);

       
      }
    else{ move_uploaded_file ($soubor1,soubory_pubs.$soubor_name1); } //pokud soubor
                                     //   neexistuje tak ho tam presunem

       
}}


///// **********manipulace s druhym souborem
if (strlen($soubor_name2)==0){$druhy=false;}  //neni nahran soubor
else{


  $druhy=true;   //je nahran soubor
    if(is_uploaded_file($soubor2)) {
$soubor_name2=str_replace(" ","",$soubor_name2);
if(file_exists(soubory_pubs.$soubor_name2))  //pokud uz existuje soubor se stejnym
      { $hledej=1;                          //jmenem,zacnem pridavat na konec jmena
        $konc=strrchr($soubor_name2,".");  // indexi [hledej], dokud nenaleznem index
        $lastind=strrpos($soubor_name2,"."); //pro ktery jeste neexistuje soubor
        $name=substr($soubor_name2,0,$lastind); // a presunem soubor do slozky
        $jm=$name.$hledej;                   //pod timto jmenem
        while(file_exists(soubory_pubs.$jm.$konc)){
          $hledej++;
          $jm=$name.$hledej;
        }
       $soubor_name2=$jm.$konc;
       move_uploaded_file ($soubor2,soubory_pubs.$soubor_name2);

      }
    else{move_uploaded_file ($soubor2,soubory_pubs.$soubor_name2);} //pokud soubor
                                     //   neexistuje tak ho tam presunem

       
}}

if ($prvni==true && $druhy==true) {$zdroje=$soubor_name1."#".$soubor_name2;}
else {   $zdroje="NULL";
        if ($prvni==true){$zdroje=$soubor_name1;}
        if ($druhy==true){$zdroje=$soubor_name2;}

      }
      
if(strlen($zdroje)>=160){
smazat_soub($soubor_name1,soubory_pubs);
smazat_soub($soubor_name2,soubory_pubs);
  header ("Location: addpub.php?stav=6&".SID."&$chyba");exit;}

if ($prvni==false && $druhy==false){
$dotaz="INSERT INTO pubs (autori,popis,rok,zadal) VALUES ('".$autori."','".$popis."','".$rok."','".$user['username']."')";}
else{$dotaz="INSERT INTO pubs (autori,popis,rok,zadal,zdroje) VALUES ('".$autori."','".$popis."','".$rok."','".$user['username']."','".$zdroje."')";}


//pripojeni do DB
if(!file_exists(db_cesta."dbconn.php")){unseting($jmsess);die("Nelze se pripojit k db.");} //kontrola zda dany soubor existuje
 require db_cesta."dbconn.php";


if (!isset($_SESSION[$jmsess]) || $_SESSION[$jmsess]==false){unseting($jmsess);
  header ("Location: edit.php?stav=5");exit();}

  unseting($jmsess);

 
// insert do pubs
$res=$db->query ($dotaz);
// zda sme z db dostali kloudny vysledek
if (gettype($res) != 'resource') {
     header ("Location: edit.php?stav=4");exit;
	} else {
$db->close();
header ("Location: edit.php?stav=1");exit;}

?>
